GET /virtualservice/{uuid}/authstats/
/virtualservice/{uuid}/authstats/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"auth_counter": 0,
"auth_credentials_unauthorized": 0,
"auth_ignored_config": 0,
"auth_internal_error": 0,
"auth_prompt_unauthorized": 0,
"auth_timed_out": 0,
"server_stats": [
{
"alias": "string",
"auth_cached_allow": 0,
"auth_cached_deny": 0,
"auth_group_search_failed": 0,
"auth_group_search_success": 0,
"auth_internal_error": 0,
"auth_login_failed": 0,
"auth_login_success": 0,
"auth_server_skipped": 0,
"auth_user_search_failed": 0,
"auth_user_search_success": 0,
"auth_waiting": 0
}
]
}
Number of authorization requests handled. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of invalid passwords detected from authorization requests. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of times the authorization request was ignored because of non-matching URI. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of internal server errors detected. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of invalid usernames detected from authorization requests. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of authorization requests that timed out. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Statistics about the LDAP Server. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/authstats